Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.results
Class ResolveReferencesResult

    java.lang.Object
      com.tibco.bpm.web.client.services.results.ResolveReferencesResult

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, net.customware.gwt.dispatch.shared.Result

    public class ResolveReferencesResult

extends java.lang.Object
implements net.customware.gwt.dispatch.shared.Result

The result will consist of the same Calendar References as the request, but with the identifier of the Calendar instance they are associated with. If a given Reference is not associated with a Calendar instance, it will still be included but no Calendar will be identified for that reference.

©2012 TIBCO Software Inc.

Since:
  2.0

Constructor Summary
`ResolveReferencesResult(java.util.ArrayList<CalendarReference> calendarReferences)` Constructor for ResolveReferencesResult.

Method Summary
`java.util.ArrayList<CalendarReference>` | `getCalendarReferences()` Gets an array of calendar references.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResolveReferencesResult

    public ResolveReferencesResult(java.util.ArrayList<CalendarReference> calendarReferences)

  Constructor for ResolveReferencesResult.

  Parameters:
    `calendarReferences` -

Method Detail

### getCalendarReferences

    public java.util.ArrayList<CalendarReference> getCalendarReferences()

  Gets an array of calendar references.

  Returns:
    Returns the calendarReferences.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.